# Copyright (c) 2018 Dave Love, Manchester University
# Licence: MIT

%global sourcename chainer

Name:		python-%sourcename
Version:	3.2.0
Release:	2%{?dist}
Summary:	A flexible Python framework for neural networks
License:	MIT
URL:		https://chainer.org/
Source0:	https://github.com/chainer/%sourcename/archive/v%version/%sourcename-%version.tar.gz
BuildRequires:	python-devel numpy python-filelock python-six protobuf-python
BuildRequires:  python-sphinx %{!?el6:python-pillow} h5py
Requires:	numpy python-six protobuf-python %{!?el6:python-pillow} h5py
BuildArch:	noarch

%description
Chainer is a Python-based deep learning framework aiming at
flexibility.  It provides automatic differentiation APIs based on the
define-by-run approach (a.k.a. dynamic computational graphs) as well
as object-oriented high-level APIs to build and train neural networks.
This is a CPU-only version.

%prep
%setup -q -n %sourcename-%version


%build
%{__python} setup.py build
# fixme: fails
#make -C docs html


%install
%{__python} setup.py install -O1 --skip-build --root %buildroot


%files
%license LICENSE
%doc README.md
%{python_sitelib}/*


%changelog
* Thu Jan 18 2018  <loveshack@fedoraproject.org> - 3.2.0-2
- Conditionalize python-pillow

* Thu Jan 18 2018  <loveshack@fedoraproject.org> - 3.2.0-1
- Initial packaging
